Package io.vertx.core.net.endpoint

## Class DefaultInteractionMetrics

- java.lang.Object
- - io.vertx.core.net.endpoint.DefaultInteractionMetrics

- All Implemented Interfaces:
    `InteractionMetrics<DefaultInteractionMetric>`

      public class DefaultInteractionMetrics
      extends Object
      implements InteractionMetrics<DefaultInteractionMetric>

  Default interaction metrics.

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.core.net.endpoint.InteractionMetrics

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultInteractionMetrics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DefaultInteractionMetric` | `initiateRequest()` | Initiate a request
    `int` | `maxResponseTime()` |
    `int` | `minResponseTime()` |
    `int` | `numberOfFailures()` |
    `int` | `numberOfInflightRequests()` |
    `int` | `numberOfRequests()` |
    `void` | `reportFailure​(DefaultInteractionMetric metric, Throwable failure)` | Signal the failure of a request/response to the `metric`
    `void` | `reportRequestBegin​(DefaultInteractionMetric metric)` | Signal the beginning of the request attached to the `metric`
    `void` | `reportRequestEnd​(DefaultInteractionMetric metric)` | Signal the end of the request attached to the `metric`
    `void` | `reportResponseBegin​(DefaultInteractionMetric metric)` | Signal the beginning of the response attached to the `metric`
    `void` | `reportResponseEnd​(DefaultInteractionMetric metric)` | Signal the end of the response attached to the `metric`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultInteractionMetrics

          public DefaultInteractionMetrics()

  - ### Method Detail

    - #### initiateRequest

          public DefaultInteractionMetric initiateRequest()

      Description copied from interface: `InteractionMetrics`
      Initiate a request
      Specified by:
        `initiateRequest` in interface `InteractionMetrics<DefaultInteractionMetric>`
      Returns:
        the request metric

    - #### reportFailure

          public void reportFailure​(DefaultInteractionMetric metric,
                                    Throwable failure)

      Description copied from interface: `InteractionMetrics`
      Signal the failure of a request/response to the `metric`
      Specified by:
        `reportFailure` in interface `InteractionMetrics<DefaultInteractionMetric>`
      Parameters:
        `metric` - the request metric
        `failure` - the failure

    - #### reportRequestBegin

          public void reportRequestBegin​(DefaultInteractionMetric metric)

      Description copied from interface: `InteractionMetrics`
      Signal the beginning of the request attached to the `metric`
      Specified by:
        `reportRequestBegin` in interface `InteractionMetrics<DefaultInteractionMetric>`
      Parameters:
        `metric` - the request/response metric

    - #### reportRequestEnd

          public void reportRequestEnd​(DefaultInteractionMetric metric)

      Description copied from interface: `InteractionMetrics`
      Signal the end of the request attached to the `metric`
      Specified by:
        `reportRequestEnd` in interface `InteractionMetrics<DefaultInteractionMetric>`
      Parameters:
        `metric` - the request/response metric

    - #### reportResponseBegin

          public void reportResponseBegin​(DefaultInteractionMetric metric)

      Description copied from interface: `InteractionMetrics`
      Signal the beginning of the response attached to the `metric`
      Specified by:
        `reportResponseBegin` in interface `InteractionMetrics<DefaultInteractionMetric>`
      Parameters:
        `metric` - the request/response metric

    - #### reportResponseEnd

          public void reportResponseEnd​(DefaultInteractionMetric metric)

      Description copied from interface: `InteractionMetrics`
      Signal the end of the response attached to the `metric`
      Specified by:
        `reportResponseEnd` in interface `InteractionMetrics<DefaultInteractionMetric>`
      Parameters:
        `metric` - the request metric

    - #### numberOfInflightRequests

          public int numberOfInflightRequests()

      Returns:
        the number of inflight requests

    - #### numberOfRequests

          public int numberOfRequests()

      Returns:
        the total number of requests

    - #### numberOfFailures

          public int numberOfFailures()

      Returns:
        the total number of failures

    - #### minResponseTime

          public int minResponseTime()

      Returns:
        the min response time

    - #### maxResponseTime

          public int maxResponseTime()

      Returns:
        the max response time